#
# spec file for package libregraphapi
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 1
Name:           libregraphapi
Version:        1.0.4
Release:        2.4
Summary:        A client library for the LibreGraphAPI library
License:        Apache-2.0
URL:            https://github.com/owncloud/libre-graph-api-cpp-qt-client
Source:         https://github.com/owncloud/libre-graph-api-cpp-qt-client/archive/v%{version}.tar.gz#/libre-graph-api-cpp-qt-client-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  pkgconfig(zlib)

%description
Libregraphapi is a MS Graph API influenced API for cloud collaboration.

%package -n libLibreGraphAPI%{sover}
Summary:        A client library for the LibreGraphAPI library

%description -n libLibreGraphAPI%{sover}
Libregraphapi is a MS Graph API influenced API for cloud collaboration.

%package devel
Summary:        Development files for the libregraphAPI library
Requires:       libLibreGraphAPI%{sover} = %{version}

%description devel
Libregraphapi is a MS Graph API influenced API for cloud collaboration.

This package contains development files for libregraphapi.

%prep
%autosetup -p1 -n libre-graph-api-cpp-qt-client-%{version}

%build
cd client
%cmake_qt6 -DBUILD_SHARED_LIBS=ON
%qt6_build

%install
cd client
%qt6_install

%ldconfig_scriptlets -n libLibreGraphAPI%{sover}

%files -n libLibreGraphAPI%{sover}
%license LICENSE
%doc README.md
%{_libdir}/libLibreGraphAPI.so.%{sover}
%{_libdir}/libLibreGraphAPI.so.%{version}

%files devel
%{_includedir}/OpenAPI
%{_libdir}/cmake/LibreGraphAPI
%{_libdir}/libLibreGraphAPI.so

%changelog
* Sun Feb 11 2024 Klaas Freitag <opensuse@freisturz.de>
- remove unneeded build requires for compilers
* Sun Feb 11 2024 Klaas Freitag <opensuse@freisturz.de>
- use qt6 build macros as suggested by reviewer
* Sun Jan 14 2024 Klaas Freitag <opensuse@freisturz.de>
- Disabled multibuild, only Qt6 build for efficiency. oC is the
  only consumer and is switching to Qt6
* Fri May 12 2023 Klaas Freitag <opensuse@freisturz.de>
- Update to version 1.0.4
  * Removed patch 0001-cmake_fixes.patch - changes went upstream
  * Enabled multibuild for Qt5 and Qt6
* Thu Feb 23 2023 Christophe Marin <christophe@krop.fr>
- Rename package
* Mon Feb  6 2023 Klaas Freitag <opensuse@freisturz.de>
- Remove stale spec file content
* Mon Feb  6 2023 Klaas Freitag <opensuse@freisturz.de>
- Fix name of the devel package to libLibreGraphAPI-devel
* Thu Jan 26 2023 Klaas Freitag <opensuse@freisturz.de>
- Rename package to this name to fulfill naming conventions
* Thu Jan 26 2023 Klaas Freitag <opensuse@freisturz.de>
- Add patch 0001-cmake_fixes.patch to fix the CMakefile.
- Update to version 1.0.1
* Fri Dec 30 2022 Klaas Freitag <opensuse@freisturz.de>
- Initial version 0.13.2
